Package org.apache.commons.dbutils.handlers

## Class BeanHandler<T>

- java.lang.Object
- - org.apache.commons.dbutils.handlers.BeanHandler<T>

- Type Parameters:
    `T` - the target bean type
  All Implemented Interfaces:
    `ResultSetHandler<T>`

      public class BeanHandler<T>
      extends Object
      implements ResultSetHandler<T>

  `ResultSetHandler` implementation that converts the first `ResultSet` row into a JavaBean. This class is thread safe.
  See Also:
    `ResultSetHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanHandler​(Class<? extends T> type)` | Creates a new instance of BeanHandler.
    `BeanHandler​(Class<? extends T> type, RowProcessor convert)` | Creates a new instance of BeanHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `handle​(ResultSet resultSet)` | Convert the first row of the `ResultSet` into a bean with the `Class` given in the constructor.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanHandler

          public BeanHandler​(Class<? extends T> type)

      Creates a new instance of BeanHandler.
      Parameters:
        `type` - The Class that objects returned from `handle()` are created from.

    - #### BeanHandler

          public BeanHandler​(Class<? extends T> type,
                             RowProcessor convert)

      Creates a new instance of BeanHandler.
      Parameters:
        `type` - The Class that objects returned from `handle()` are created from.
        `convert` - The `RowProcessor` implementation to use when converting rows into beans.

  - ### Method Detail

    - #### handle

          public T handle​(ResultSet resultSet)
                   throws SQLException

      Convert the first row of the `ResultSet` into a bean with the `Class` given in the constructor.
      Specified by:
        `handle` in interface `ResultSetHandler<T>`
      Parameters:
        `resultSet` - `ResultSet` to process.
      Returns:
        An initialized JavaBean or `null` if there were no rows in the `ResultSet`.
      Throws:
        `SQLException` - if a database access error occurs
      See Also:
        `ResultSetHandler.handle(java.sql.ResultSet)`